Package org.apache.wiki

# Class LinkCollector

java.lang.Object
org.apache.wiki.LinkCollector

All Implemented Interfaces:
  `StringTransmutator`

public class LinkCollector extends Object implements StringTransmutator
Just a simple class collecting all the links that come in.

## Constructor Summary

Constructors
Constructor
Description
`LinkCollector()`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getLinks()`
Returns a List of Strings representing links.
`String`
`mutate(Context context, String in)`
Returns a changed String, suitable for Wiki context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinkCollector

public LinkCollector()

## Method Details

### getLinks

public List<String> getLinks()
Returns a List of Strings representing links.

Returns:
  the link collection

### mutate

public String mutate(Context context, String in)
Returns a changed String, suitable for Wiki context.

Specified by:
  `mutate` in interface `StringTransmutator`
Parameters:
  `context` - WikiContext in which mutation is to be done
  `in` - The source string.
Returns:
  The mutated string.